Subject: Re: bug#62473: [PATCH 0/4] OpenFoam update to version 10

From: reza <[email-masked]>
Date: Thu, 6 Apr 2023 14:42:28 +0000

> Great work, it’s good to have an OpenFoam update!

Yes this was a great hassle to finally compile, but I hope I made it 
future proof so there is not too much work for updates.
>> ---
>>   gnu/packages/check.scm | 34 ++++++++++++++++++++++++++++++++++
>>   1 file changed, 34 insertions(+)
> 
> Your mail user agent apparently added DOS-style line endings, which I
> think is the reason why <https://qa.guix.gnu.org/issue/62473> doesn’t
> have any info.
> 
> Could you try to use ‘git send-email’ in the future, to avoid that kind
> of issue?

This is strange, I use git send-email from a linux machine for the patches?

>> +(define-public ftest
>> +  (package
>> +    (name "ftest")
>> +    (version "bf75576064fce2e07f52cd63a3e410f12358728b")
> 
> That’s not a reasonable version string; see
> <https://guix.gnu.org/manual/devel/en/html_node/Version-Numbers.html>
> on how to derive version strings for Git checkouts.
> 
> Furthermore, when packaging a snapshot (as opposed to a tagged release),
> please add a short comment explaining why we’re not providing a release.

I'm not sure how to proceed here, there aren't any releases and it looks 
more like a small side project. I included it for completness but maybe 
we should drop it and skip the tests for utfcpp?

>> +    (build-system copy-build-system)
>> +    (native-inputs (list cmake-minimal))
> 
> Perhaps use ‘cmake-build-system’?

There is only a CMakeLists.txt file for the tests but not for the 
source, shall I provide one?

Thanks for looking into this!